path: /build/build/pax-utils-app-misc-1.2.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/pax-utils && luet-portage --dir
    /pkgdir/pax-utils app-misc/pax-utils
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:034206aa6049f3f059ba61c6626f13dd4689bd0927d228e1f7224939c2bbe4cf
  package:
    name: pax-utils
    version: 1.2.4+1
    category: app-misc
    use_flags:
    - -caps
    - -python_single_target_python2_7
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - -seccomp
    - python
    - python_single_target_python3_9
    requires:
    - name: funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: ELF utils that can check files for security relevant properties
    uri:
    - https://wiki.gentoo.org/index.php?title=Project:Hardened/PaX_Utilities
    license: GPL-2
    buildtimestamp: 2024-11-02 17:04:56.506879981 +0000 UTC m=+26.393593512
    labels:
      DEPEND: caps? ( >=sys-libs/libcap-2.24 ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-python/pyelftools[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( dev-python/pyelftools[python_targets_python3_9(-)]
        ) python_single_target_python3_8? ( dev-python/pyelftools[python_targets_python3_8(-)]
        ) python_single_target_python2_7? ( dev-python/pyelftools[python_targets_python2_7(-)]
        ) python_single_target_python3_10? ( dev-python/pyelftools[python_targets_python3_10(-)]
        ) ) seccomp? ( sys-libs/libseccomp ) caps? ( virtual/pkgconfig ) seccomp?
        ( virtual/pkgconfig ) app-arch/xz-utils
      IUSE: caps debug python seccomp python_single_target_python3_7 python_single_target_python3_9
        python_single_target_python3_8 python_single_target_python2_7 python_single_target_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python2_7 python_targets_python3_10
      RDEPEND: caps? ( >=sys-libs/libcap-2.24 ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-python/pyelftools[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( dev-python/pyelftools[python_targets_python3_9(-)]
        ) python_single_target_python3_8? ( dev-python/pyelftools[python_targets_python3_8(-)]
        ) python_single_target_python2_7? ( dev-python/pyelftools[python_targets_python2_7(-)]
        ) python_single_target_python3_10? ( dev-python/pyelftools[python_targets_python3_10(-)]
        ) ) seccomp? ( sys-libs/libseccomp )
      emerge.packages: app-misc/pax-utils
      kit: core-kit
      original.package.name: app-misc/pax-utils
      original.package.slot: "0"
      original.package.version: 1.2.4
    treedir: /build/packages
  package_dir: /pkgdir/pax-utils
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5e1926d1e88a908c6747c27a57f2a2a7bdc1cd4e59fdda7d3d1f51f88f551f6f
compressiontype: zstd
files:
- usr/bin/dumpelf
- usr/bin/lddtree
- usr/bin/pspax
- usr/bin/scanelf
- usr/bin/scanmacho
- usr/bin/symtree
- usr/share/doc/pax-utils-1.2.4/BUGS.bz2
- usr/share/doc/pax-utils-1.2.4/README.md.bz2
- usr/share/doc/pax-utils-1.2.4/TODO.bz2
- usr/share/man/man1/dumpelf.1.bz2
- usr/share/man/man1/pspax.1.bz2
- usr/share/man/man1/scanelf.1.bz2
- usr/share/man/man1/scanmacho.1.bz2
- var/db/pkg/app-misc/pax-utils-1.2.4/BINPKGMD5
- var/db/pkg/app-misc/pax-utils-1.2.4/BUILD_TIME
- var/db/pkg/app-misc/pax-utils-1.2.4/CATEGORY
- var/db/pkg/app-misc/pax-utils-1.2.4/CBUILD
- var/db/pkg/app-misc/pax-utils-1.2.4/CC
- var/db/pkg/app-misc/pax-utils-1.2.4/CFLAGS
- var/db/pkg/app-misc/pax-utils-1.2.4/CHOST
- var/db/pkg/app-misc/pax-utils-1.2.4/CONTENTS
- var/db/pkg/app-misc/pax-utils-1.2.4/COUNTER
- var/db/pkg/app-misc/pax-utils-1.2.4/CTARGET
- var/db/pkg/app-misc/pax-utils-1.2.4/CXX
- var/db/pkg/app-misc/pax-utils-1.2.4/CXXFLAGS
- var/db/pkg/app-misc/pax-utils-1.2.4/DEFINED_PHASES
- var/db/pkg/app-misc/pax-utils-1.2.4/DEPEND
- var/db/pkg/app-misc/pax-utils-1.2.4/DESCRIPTION
- var/db/pkg/app-misc/pax-utils-1.2.4/EAPI
- var/db/pkg/app-misc/pax-utils-1.2.4/FEATURES
- var/db/pkg/app-misc/pax-utils-1.2.4/HOMEPAGE
- var/db/pkg/app-misc/pax-utils-1.2.4/INHERITED
- var/db/pkg/app-misc/pax-utils-1.2.4/IUSE
- var/db/pkg/app-misc/pax-utils-1.2.4/IUSE_EFFECTIVE
- var/db/pkg/app-misc/pax-utils-1.2.4/KEYWORDS
- var/db/pkg/app-misc/pax-utils-1.2.4/LDFLAGS
- var/db/pkg/app-misc/pax-utils-1.2.4/LICENSE
- var/db/pkg/app-misc/pax-utils-1.2.4/NEEDED
- var/db/pkg/app-misc/pax-utils-1.2.4/NEEDED.ELF.2
- var/db/pkg/app-misc/pax-utils-1.2.4/PF
- var/db/pkg/app-misc/pax-utils-1.2.4/RDEPEND
- var/db/pkg/app-misc/pax-utils-1.2.4/REQUIRES
- var/db/pkg/app-misc/pax-utils-1.2.4/SIZE
- var/db/pkg/app-misc/pax-utils-1.2.4/SLOT
- var/db/pkg/app-misc/pax-utils-1.2.4/USE
- var/db/pkg/app-misc/pax-utils-1.2.4/environment.bz2
- var/db/pkg/app-misc/pax-utils-1.2.4/pax-utils-1.2.4.ebuild
- var/db/pkg/app-misc/pax-utils-1.2.4/repository
package_cacheimage: ""
runtime:
  name: pax-utils
  version: 1.2.4+1
  category: app-misc
  use_flags:
  - -caps
  - -python_single_target_python2_7
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - -seccomp
  - python
  - python_single_target_python3_9
  requires:
  - name: pyelftools
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: ELF utils that can check files for security relevant properties
  uri:
  - https://wiki.gentoo.org/index.php?title=Project:Hardened/PaX_Utilities
  license: GPL-2
  labels:
    DEPEND: caps? ( >=sys-libs/libcap-2.24 ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
      python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-python/pyelftools[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( dev-python/pyelftools[python_targets_python3_9(-)]
      ) python_single_target_python3_8? ( dev-python/pyelftools[python_targets_python3_8(-)]
      ) python_single_target_python2_7? ( dev-python/pyelftools[python_targets_python2_7(-)]
      ) python_single_target_python3_10? ( dev-python/pyelftools[python_targets_python3_10(-)]
      ) ) seccomp? ( sys-libs/libseccomp ) caps? ( virtual/pkgconfig ) seccomp? (
      virtual/pkgconfig ) app-arch/xz-utils
    IUSE: caps debug python seccomp python_single_target_python3_7 python_single_target_python3_9
      python_single_target_python3_8 python_single_target_python2_7 python_single_target_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8 python_targets_python2_7
      python_targets_python3_10
    RDEPEND: caps? ( >=sys-libs/libcap-2.24 ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
      python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-python/pyelftools[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( dev-python/pyelftools[python_targets_python3_9(-)]
      ) python_single_target_python3_8? ( dev-python/pyelftools[python_targets_python3_8(-)]
      ) python_single_target_python2_7? ( dev-python/pyelftools[python_targets_python2_7(-)]
      ) python_single_target_python3_10? ( dev-python/pyelftools[python_targets_python3_10(-)]
      ) ) seccomp? ( sys-libs/libseccomp )
    emerge.packages: app-misc/pax-utils
    kit: core-kit
    original.package.name: app-misc/pax-utils
    original.package.slot: "0"
    original.package.version: 1.2.4
